%define modname enchant
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A38_%{modname}.ini

Summary:	Libenchant binder, support near all spelling tools
Name:		php-%{modname}
Version:	1.0.1
Release:	%mkrel 8
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/enchant
Source0:	enchant-%{version}.tar.bz2
Patch0:		enchant-1.0-lib64.diff
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	enchant-devel
BuildRequires:	chrpath
Provides:	php5-enchant
Obsoletes:	php5-enchant
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Enchant is a binder for libenchant. Libenchant provides a common API for many
spell libraries:

 - aspell/pspell (intended to replace ispell)
 - hspell (hebrew)
 - ispell 
 - myspell (OpenOffice project, mozilla)
 - uspell (primarily Yiddish, Hebrew, and Eastern European languages)
   A plugin system allows to add custom spell support.
   see www.abisource.com/enchant/

%prep

%setup -q -n enchant-%{version}
%patch0 -p0

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .
chrpath -d *.so

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc docs CREDITS
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-8mdv2007.0
+ Revision: 117575
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.1-7mdv2007.0
+ Revision: 78152
- fix deps
- bunzip patches

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.1-6mdv2007.1
+ Revision: 78064
- rebuilt for php-5.2.0
- Import php-enchant



* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.1-5
- rebuilt for php-5.1.6

* Wed Aug 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.1-4mdv2007.0
- rebuilt against enchant-1.2.6
- nuke rpath

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.1-3mdk
- rebuilt for php-5.1.4

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdk
- rebuilt for php-5.1.3

* Tue Mar 21 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.1-1mdk
- 1.0.1

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0-1mdk
- rebuilt against php-5.1.0
- fix versioning

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.0-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_1.0-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0-1mdk
- initial Mandrakelinux package

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0-1mdk
- initial mandrake package
- added P0
